Skip to main content
GET

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

access_code_id
string<uuid>

ID of the access code by which to filter the returned access methods. Must be combined with access_grant_id, access_grant_key, or acs_entrance_id.

access_grant_id
string<uuid>

ID of Access Grant to list access methods for.

access_grant_key
string

Key of Access Grant to list access methods for.

acs_entrance_id
string<uuid>

ID of the entrance for which you want to retrieve all access methods that grant access to it.

customer_key
string

Customer key for which you want to list access methods.

device_id
string<uuid>

ID of the device by which to filter the returned access methods. Must be combined with access_grant_id, access_grant_key, or acs_entrance_id.

limit
integer
default:500

Maximum number of records to return per page.

page_cursor
string | null

Identifies the specific page of results to return, obtained from the previous page's next_page_cursor.

space_id
string<uuid>

ID of the space by which to filter the returned access methods. Must be combined with access_grant_id, access_grant_key, or acs_entrance_id.

Response

200 - application/json

OK

access_methods
object[]
required
pagination
object
required

Information about the current page of results.